Name:          libgif
Version:       5.1.1
Release:       1mamba
Summary:       A library for reading and writing gif image
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sourceforge.net/projects/giflib
Source:        http://downloads.sourceforge.net/sourceforge/giflib/giflib-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXdmcp-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
giflib is a library for reading and writing gif images. It is API and ABI compatible with libungif which was in wide use while the LZW compression algorithm was patented.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
giflib is a library for reading and writing gif images. It is API and ABI compatible with libungif which was in wide use while the LZW compression algorithm was patented.
This package contains static libraries and header files need for development.

%package tools
Group:         Applications/Graphics
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%prep
%setup -q -n giflib-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libgif.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/libgif.a
%{_libdir}/libgif.la
%{_libdir}/libgif.so
%{_includedir}/*.h
%doc BUGS COPYING ChangeLog NEWS README TODO

%files tools
%defattr(-,root,root)
%{_bindir}/gif*
%{_mandir}/man1/gif*.1.gz*

%changelog
* Wed Feb 04 2015 Automatic Build System <autodist@mambasoft.it> 5.1.1-1mamba
- automatic update by autodist

* Mon May 26 2014 Automatic Build System <autodist@mambasoft.it> 5.1.0-1mamba
- automatic update by autodist

* Mon Mar 31 2014 Automatic Build System <autodist@mambasoft.it> 5.0.6-1mamba
- automatic update by autodist

* Sun Jan 20 2013 Automatic Build System <autodist@mambasoft.it> 5.0.4-1mamba
- automatic version update by autodist

* Mon Dec 17 2012 Automatic Build System <autodist@mambasoft.it> 5.0.2-1mamba
- update to 5.0.2

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 4.1.6-2mamba
- automatic rebuild by autodist

* Sun Mar 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.6-1mamba
- package created by autospec
